RegionConfiguration (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.modules.util, class: RegionConfiguration

Package org.apache.geode.modules.util

# Class RegionConfiguration

java.lang.Object
org.apache.geode.modules.util.RegionConfiguration

All Implemented Interfaces:
  `Serializable`, `DataSerializable`

public class RegionConfiguration extends Object implements DataSerializable
Class `RegionConfiguration` encapsulates the configuration attributes for a `Region` to be created on the server.

Since:
  GemFire 6.5
See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.apache.geode.DataSerializable

  `DataSerializable.Replaceable`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `DEFAULT_MAX_INACTIVE_INTERVAL`
  The default max inactive interval.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RegionConfiguration()`
  Default constructor used by the `DataSerialiable` interface

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `fromData(DataInput in)`
  Reads the state of this object as primitive data from the given `DataInput`.
  `int`
  `getMaxInactiveInterval()`
  Returns the maximum time interval in seconds entries are expired
  `String`
  `getRegionName()`
  Returns the name of the `Region` to be created
  `void`
  `setCustomExpiry(CustomExpiry customExpiry)`
  Sets the `CustomExpiry` to be used
  `void`
  `setEnableDebugListener(boolean enableDebugListener)`
  Enables/disables a debug `CacheListener`.
  `void`
  `setEnableGatewayDeltaReplication(boolean enableGatewayDeltaReplication)`
  Enables/disables delta replication across a `Gateway`.
  `void`
  `setEnableGatewayReplication(boolean enableGatewayReplication)`
  Enables/disables replication across a `Gateway`.
  `void`
  `setMaxInactiveInterval(int maxInactiveInterval)`
  Sets the maximum time interval in seconds before entries are expired
  `void`
  `setRegionAttributesId(String regionAttributesId)`
  Sets the id of the `RegionAttributes` to be used
  `void`
  `setRegionName(String regionName)`
  Sets the name of the `Region` to be created
  `void`
  `setSessionExpirationCacheListener(boolean enableSessionExpirationCacheListener)`
  `void`
  `toData(DataOutput out)`
  Writes the state of this object as primitive data to the given `DataOutput`.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_MAX_INACTIVE_INTERVAL

    public static final int DEFAULT_MAX_INACTIVE_INTERVAL
    The default max inactive interval. The default value is -1.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### RegionConfiguration

    public RegionConfiguration()
    Default constructor used by the `DataSerialiable` interface

- ## Method Details

  - ### setRegionName

    public void setRegionName(String regionName)
    Sets the name of the `Region` to be created
    Parameters:
      `regionName` - The name of the `Region` to be created

  - ### getRegionName

    public String getRegionName()
    Returns the name of the `Region` to be created
    Returns:
      the name of the `Region` to be created

  - ### setRegionAttributesId

    public void setRegionAttributesId(String regionAttributesId)
    Sets the id of the `RegionAttributes` to be used
    Parameters:
      `regionAttributesId` - The id of the `RegionAttributes` to be used

  - ### setMaxInactiveInterval

    public void setMaxInactiveInterval(int maxInactiveInterval)
    Sets the maximum time interval in seconds before entries are expired
    Parameters:
      `maxInactiveInterval` - The maximum time interval in seconds before entries are expired

  - ### getMaxInactiveInterval

    public int getMaxInactiveInterval()
    Returns the maximum time interval in seconds entries are expired
    Returns:
      the maximum time interval in seconds before entries are expired

  - ### setCustomExpiry

    public void setCustomExpiry(CustomExpiry customExpiry)
    Sets the `CustomExpiry` to be used
    Parameters:
      `customExpiry` - The `CustomExpiry` to be used

  - ### setEnableGatewayDeltaReplication

    public void setEnableGatewayDeltaReplication(boolean enableGatewayDeltaReplication)
    Enables/disables delta replication across a `Gateway`.
    Parameters:
      `enableGatewayDeltaReplication` - true to enable, false to disable gateway delta replication.

  - ### setEnableGatewayReplication

    public void setEnableGatewayReplication(boolean enableGatewayReplication)
    Enables/disables replication across a `Gateway`.
    Parameters:
      `enableGatewayReplication` - true to enable, false to disable gateway replication.

  - ### setEnableDebugListener

    public void setEnableDebugListener(boolean enableDebugListener)
    Enables/disables a debug `CacheListener`.
    Parameters:
      `enableDebugListener` - true to enable, false to disable debug `CacheListener`.

  - ### setSessionExpirationCacheListener

    public void setSessionExpirationCacheListener(boolean enableSessionExpirationCacheListener)

  - ### toData

    public void toData(DataOutput out) throws IOException
    Description copied from interface: `DataSerializable`
    Writes the state of this object as primitive data to the given `DataOutput`.

    Since 5.7 it is possible for any method call to the specified `DataOutput` to throw `GemFireRethrowable`. It should not be caught by user code. If it is it must be rethrown.

    Specified by:
      `toData` in interface `DataSerializable`
    Parameters:
      `out` - the `DataOutput` to write to
    Throws:
      `IOException` - A problem occurs while writing to `out`

  - ### fromData

    public void fromData(DataInput in) throws IOException, ClassNotFoundException
    Description copied from interface: `DataSerializable`
    Reads the state of this object as primitive data from the given `DataInput`.
    Specified by:
      `fromData` in interface `DataSerializable`
    Parameters:
      `in` - the `DataInput` to read from
    Throws:
      `IOException` - A problem occurs while reading from `in`
      `ClassNotFoundException` - A class could not be loaded while reading from `in`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`